﻿Public Enum LEDColor
    Red = 0
    Green = 1
    Yellow = 2
    Blue = 3
End Enum
Public Class awcled

    Protected curcolor As LEDColor
    Protected disabled As Boolean
    Protected check As Boolean
    Protected current As System.Windows.Forms.PictureBox
    Protected LEDs(8) As System.Windows.Forms.PictureBox



    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        LEDs(0) = redoff
        LEDs(1) = redon
        LEDs(2) = greenoff
        LEDs(3) = greenon
        LEDs(4) = yellowoff
        LEDs(5) = yellowon
        LEDs(6) = blueoff
        LEDs(7) = blueon
        current = LEDs(0)
        current.Visible = True
    End Sub

    Public Property Color() As LEDColor
        Get
            Color = curcolor
        End Get
        Set(ByVal value As LEDColor)
            Dim n As Integer
            n = value
            n = n * 2
            curcolor = value
            If Not disabled Then current.Visible = False
            If check Then n = n + 1
            current = LEDs(n)
            If Not disabled Then current.Visible = True
        End Set
    End Property
    Public Property Checked() As Boolean
        Get
            Checked = check
        End Get
        Set(ByVal value As Boolean)
            Dim n As Integer
            If check <> value Then
                check = value
                n = curcolor * 2
                If Not disabled Then current.Visible = False
                If check Then n = n + 1
                current = LEDs(n)
                If Not disabled Then current.Visible = True
            End If
        End Set
    End Property
    Public Overloads Property Enabled() As Boolean
        Get
            Enabled = Not disabled
        End Get
        Set(ByVal value As Boolean)
            value = Not value
            If value <> disabled Then
                disabled = value
                If disabled Then
                    current.Visible = False
                    ledxxx.Visible = True
                Else
                    current.Visible = True
                    ledxxx.Visible = False
                End If
            End If
        End Set
    End Property
End Class

